function t = initCircle(Y, segments)


numSeg = length(segments);

for i = 1:numSeg-1
    curY = Y(segments(i):segments(i+1)-1,:);
    curY = curY - repmat(mean(curY), size(curY,1), 1);
    [v, u] = pca(curY);
    v(find(v<0))=0;
    curX = curY*u(:, 1:2)*diag(1./sqrt(v(1:2)));
    curX_norm = sqrt(curX(:,1).*curX(:,1) + curX(:,2).*curX(:,2));
    curX = [curX(:,1)./curX_norm curX(:,2)./curX_norm];

    angles = atan(curX(:,2)./curX(:,1));
    t(i) = 0;
    t(numSeg+i) = median(abs(angles(2:end) - angles(1:end-1)));
end

curY = Y(segments(end):size(Y,1),:);
curY = curY - repmat(mean(curY), size(curY,1), 1);
[v, u] = pca(curY);
v(find(v<0))=0;
curX = curY*u(:, 1:2)*diag(1./sqrt(v(1:2)));
curX_norm = sqrt(curX(:,1).*curX(:,1) + curX(:,2).*curX(:,2));
curX = [curX(:,1)./curX_norm curX(:,2)./curX_norm];

angles = atan(curX(:,2)./curX(:,1));
t(numSeg) = 0;
t(2*numSeg) = median(abs(angles(2:end) - angles(1:end-1)));

l = segments(2) - segments(1);
for i = 2:numSeg
    [tmp idx] = min(sum((repmat(Y(segments(i),:), l, 1) - ...
        Y(segments(1):segments(2)-1,:)).^2, 2));
    t(i) = (idx-1)*t(numSeg+1);
end